Open a pull request for the exact reviewed proposal
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/proposals/{authoringProposalId}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"expectedSessionVersion": 0,
"expectedProposalVersion": 0,
"confirm": "<string>",
"title": "<string>",
"body": "<string>"
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/proposals/{authoringProposalId}/publish"
payload = {
"expectedSessionVersion": 0,
"expectedProposalVersion": 0,
"confirm": "<string>",
"title": "<string>",
"body": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
expectedSessionVersion: 0,
expectedProposalVersion: 0,
confirm: '<string>',
title: '<string>',
body: JSON.stringify('<string>')
})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/proposals/{authoringProposalId}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": {
"schemaVersion": 1,
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"repositoryBindingId": "<string>",
"createdBy": "<string>",
"branch": "<string>",
"baseRevision": "<string>",
"state": "active",
"version": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"activeTurnId": "<string>",
"currentProposalId": "<string>",
"closedAtMs": 0
},
"proposal": {
"schemaVersion": 1,
"authoringProposalId": "<string>",
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"baseRevision": "<string>",
"state": "ready",
"artifactDigest": "<string>",
"changedFiles": [
{
"path": "<string>",
"change": "added",
"beforeDigest": "<string>",
"afterDigest": "<string>",
"afterBytes": 1048576
}
],
"buildHash": "<string>",
"diagnostics": [
{
"code": "<string>",
"severity": "error",
"message": "<string>",
"span": {
"path": "<string>",
"start": {
"line": 4503599627370495,
"column": 4503599627370495
},
"end": {
"line": 4503599627370495,
"column": 4503599627370495
}
},
"path": [
"<string>"
],
"suggestion": "<string>",
"data": {}
}
],
"version": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"source": "agent",
"authoringTurnId": "<string>",
"pullRequestNumber": 4503599627370495,
"pullRequestUrl": "<string>",
"publishedRevision": "<string>",
"publishedAtMs": 0
},
"operation": {
"schemaVersion": 1,
"operationId": "<string>",
"organizationId": "<string>",
"kind": "<string>",
"state": "pending",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"projectId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"result": {
"schemaVersion": 1,
"kind": "world.time.advance",
"operationId": "<string>",
"sessionId": "<string>",
"leaseGeneration": 4503599627370495,
"buildHash": "<string>",
"correlationId": "<string>",
"requestedUs": 0,
"startedUs": 0,
"reachedUs": 0,
"maxEvents": 500000,
"scheduledEventsProcessed": 0,
"evidenceBeforeSequence": 0,
"evidenceAfterSequence": 0,
"status": "completed",
"eventBudgetExhausted": true,
"failure": {
"code": "<string>",
"message": "<string>",
"scheduledEventId": "<string>"
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
}
}{
"session": {
"schemaVersion": 1,
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"repositoryBindingId": "<string>",
"createdBy": "<string>",
"branch": "<string>",
"baseRevision": "<string>",
"state": "active",
"version": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"activeTurnId": "<string>",
"currentProposalId": "<string>",
"closedAtMs": 0
},
"proposal": {
"schemaVersion": 1,
"authoringProposalId": "<string>",
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"baseRevision": "<string>",
"state": "ready",
"artifactDigest": "<string>",
"changedFiles": [
{
"path": "<string>",
"change": "added",
"beforeDigest": "<string>",
"afterDigest": "<string>",
"afterBytes": 1048576
}
],
"buildHash": "<string>",
"diagnostics": [
{
"code": "<string>",
"severity": "error",
"message": "<string>",
"span": {
"path": "<string>",
"start": {
"line": 4503599627370495,
"column": 4503599627370495
},
"end": {
"line": 4503599627370495,
"column": 4503599627370495
}
},
"path": [
"<string>"
],
"suggestion": "<string>",
"data": {}
}
],
"version": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"source": "agent",
"authoringTurnId": "<string>",
"pullRequestNumber": 4503599627370495,
"pullRequestUrl": "<string>",
"publishedRevision": "<string>",
"publishedAtMs": 0
},
"operation": {
"schemaVersion": 1,
"operationId": "<string>",
"organizationId": "<string>",
"kind": "<string>",
"state": "pending",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"projectId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"result": {
"schemaVersion": 1,
"kind": "world.time.advance",
"operationId": "<string>",
"sessionId": "<string>",
"leaseGeneration": 4503599627370495,
"buildHash": "<string>",
"correlationId": "<string>",
"requestedUs": 0,
"startedUs": 0,
"reachedUs": 0,
"maxEvents": 500000,
"scheduledEventsProcessed": 0,
"evidenceBeforeSequence": 0,
"evidenceAfterSequence": 0,
"status": "completed",
"eventBudgetExhausted": true,
"failure": {
"code": "<string>",
"message": "<string>",
"scheduledEventId": "<string>"
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Open a pull request for the exact reviewed proposal
Open a pull request for the exact reviewed proposal
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^authsess_[0-9a-z]{12,32}$Pattern:
^aprop_[0-9a-z]{12,32}$Body
application/json
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^aprop_[0-9a-z]{12,32}$Required string length:
1 - 256Maximum string length:
65536